'''
Użytkownik podaje liczbę `limit`

Napisz program przegląda wszystkie liczby od 1 do podanego limitu włącznie,
 - jeśli liczba jest podzielna przez 3, to wypisuje 'Fizz {liczba}'
 - jeśli liczba jest podzielna przez 5, to wypisuje 'Buzz {liczba}'
 - jeśli jest jednocześnie podzielna przez 3 i przez 5 (czyli przez 15), to wypisuje 'FizzBuzz {liczba}'
wypisujemy na ekran tylko te liczby, które są podzielne przez 3 lub 5,
a każdą liczbę wypisujemy najwyżej jeden raz.

Na końcu wypisuje ile liczb było podzielnych przez 3 lub przez 5 (ale każdą liczy tylko raz).
'''

limit = int(input('Podaj limit: '))
licznik = 0

for i in range(1, limit+1):
    if i % 15 == 0:
        print('FizzBuzz', i)
        licznik += 1
    elif i % 3 == 0:
        print('Fizz', i)
        licznik += 1
    elif i % 5 == 0:
        print('Buzz', i)
        licznik += 1

print('Tyle było podzielnych:', licznik)
